# ada(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

Ada - Ada programming language

## FILES

hkada.emf - Ada programming language file hook definition

## EXTENSIONS

.ada, .adb, .ads - Ada programming language

## DESCRIPTION

The ada file type template provides simple highlighting of Ada files.

Highlighting

The highlighting features allow commands, variables, logical, preprocessor definitions, comments, strings and characters of the language to be differentiated and rendered in different colors.

Short Cuts

The short cut keys used within the buffer are:-

esc h - Key binding help information.
C-c C-c - Comment out the current line.
C-c C-d - Uncomment the current line.
C-c C-e - Comment to the end of the line with hash (#).
C-c C-o - Format a comment

## SEE ALSO

Supported File Types

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>